#include "defines.h"
#include "_jpeglib.h"
#include "jpeg.h"

void RemakeHuff(unchar *y_dc,unchar *uv_dc,unchar *y_ac,unchar *uv_ac,long mode)
// ファイル内ハフマンデータから展開用ハフマンテーブルを再構築する
// オンメモリ処理の時も必要
{
	MakeiHuff( &y_dc,iHuffDC_Y ,cntDC_Y );
	MakeiHuff( &y_ac,iHuffAC_Y ,cntAC_Y );
	
	if (!(mode&MD_BW)) {
	MakeiHuff(&uv_dc,iHuffDC_UV,cntDC_UV);
	MakeiHuff(&uv_ac,iHuffAC_UV,cntAC_UV);
	}
	
	// expand用ハフマンテーブルはビット長の短い物から長い物の順で
	// 全てが同列に（＝[]で）並んでいる
}
